#ifndef BACKGROUND_H
#define BACKGROUND_H

#include "SFML/Graphics.hpp"

class Background {
private:
    sf::Texture texture;
    sf::Sprite sprite1;
    sf::Sprite sprite2;
    float speed;

public:
    Background(const std::string& texturePath, float speed);

    void update();
    void draw(sf::RenderWindow& window);
};

#endif // BACKGROUND_H
